Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class Compiler

    java.lang.Object
      org.apache.jasper.compiler.Compiler

    public class Compiler

extends Object

Main JSP compiler class.

Author:
  Anil K. Vijendran, Mandar Raje, Pierre Delisle, Kin-man Chung, Remy Maucherat, Mark Roth

Field Summary
`protected JspCompilationContext` | `ctxt`

Constructor Summary
`Compiler(JspCompilationContext ctxt, JspServletWrapper jsw)`
`Compiler(JspCompilationContext ctxt, JspServletWrapper jsw, boolean jspcMode)`

Method Summary
`void` | `compile(boolean compileClass)` Compile the jsp file from the current engine context.
`JspCompilationContext` | `getCompilationContext()`
`ErrorDispatcher` | `getErrorDispatcher()` Gets the error dispatcher.
`PageInfo` | `getPageInfo()` Gets the info about the page under compilation
`boolean` | `isOutDated()` This is a protected method intended to be overridden by subclasses of Compiler.
`boolean` | `isOutDated(boolean checkClass)` Determine if a compilation is necessary by checking the time stamp of the JSP page with that of the corresponding .class or .java file.
`void` | `removeGeneratedClassFiles()`
`void` | `removeGeneratedFiles()` Remove generated files
`void` | `setPageInfo(PageInfo pageInfo)` Sets the info about the page under compilation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ctxt

    protected JspCompilationContext ctxt

Constructor Detail

### Compiler

    public Compiler(JspCompilationContext ctxt,
                    JspServletWrapper jsw)

### Compiler

    public Compiler(JspCompilationContext ctxt,
                    JspServletWrapper jsw,
                    boolean jspcMode)

Method Detail

### compile

    public void compile(boolean compileClass)
                 throws FileNotFoundException,
                        JasperException,
                        Exception

  Compile the jsp file from the current engine context. As an side- effect, tag files that are referenced by this page are also compiled.

  Parameters:
    `compileClass` - If true, generate both .java and .class file If false, generate only .java file
  Throws:
    `FileNotFoundException`
    `JasperException`
    `Exception`

### isOutDated

    public boolean isOutDated()

  This is a protected method intended to be overridden by subclasses of Compiler. This is used by the compile method to do all the compilation.

### isOutDated

    public boolean isOutDated(boolean checkClass)

  Determine if a compilation is necessary by checking the time stamp of the JSP page with that of the corresponding .class or .java file. If the page has dependencies, the check is also extended to its dependeants, and so on. This method can by overidden by a subclasses of Compiler.

  Parameters:
    `checkClass` - If true, check against .class file, if false, check against .java file.

### getErrorDispatcher

    public ErrorDispatcher getErrorDispatcher()

  Gets the error dispatcher.

### getPageInfo

    public PageInfo getPageInfo()

  Gets the info about the page under compilation

### setPageInfo

    public void setPageInfo(PageInfo pageInfo)

  Sets the info about the page under compilation

### getCompilationContext

    public JspCompilationContext getCompilationContext()

### removeGeneratedFiles

    public void removeGeneratedFiles()

  Remove generated files

### removeGeneratedClassFiles

    public void removeGeneratedClassFiles()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.